Module
Inhalte
Index 🔎︎

# Funktion Hex

Liefert das Ergebnis der Umrechnung einer Zahl in das Hexadezimalformat.

## Syntax:

    Hex (Zahl)

## Rückgabewert:

String

## Parameter:

Zahl: Ein beliebiger in eine Hexadezimalzahl zu konvertierender numerischer Ausdruck.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleHex

    ' Verwendet Basic-Formeln in LibreOffice Calc

    Dim a2, b2, c2 As String

        a2 = "&H3E8"

        b2 = Hex2Int(a2)

        MsgBox b2

        c2 = Int2Hex(b2)

        MsgBox c2

    End Sub

    Function Hex2Int( sHex As String ) As Long

    ' Berechnet aus einem hexadezimalen Wert einen Long-Integer.

        Hex2Int = clng( sHex )

    End Function

    Function Int2Hex( iLong As Long) As String

    ' Berechnet einen hexadezimalen Wert in Integer.

        Int2Hex = "&H" & Hex( iLong )

    End Function